<template>
    <q-dialog ref="dialogRef" position="bottom" persistent>
        <q-card
            class="bg-dark"
            :style="{
            width: '100vw',
            minWidth: '100vw',
            }"
        >
            <q-card-section>
                <div class="relative-position text-primary q-px-lg">
                    <div>
                        Bem-vindo ao <span class="text-uppercase text-bold">portal Flex</span>! A fim de proporcionar uma experiência mais relevante,
                        usamos cookies para permitir algumas funcionalidades.
                        Os cookies possibilitam-nos verificar quais artigos despertam mais interesse para você,
                        permitem que você compartilhe textos nas mídias sociais, facilitam a entrega de conteúdo,
                        dados de vagas e anúncios alinhados aos seus interesses e localização, e oferecem muitos outros benefícios. <br />
                        Clique em saiba mais e leia nossas Política de Cookies e Política de Privacidade.
                        <a target="_blank" href="https://fsbr.com.br/saiba-mais" class="text-bold text-primary">Saiba mais.</a>
                    </div>
                    <div class="q-py-sm" :class="[$q.platform.is.mobile ? 'flex flex-center' : '']">
                        <q-btn :style="{ width: '150px' }" color="primary" outline label="Aceitar Todos" rounded @click="AcceptTerms" v-close-popup></q-btn>
                    </div>
                    <div v-close-popup class="absolute cursor-pointer" :style="{ top: '0px', right: '4px' }">
                        <q-icon name="cancel" color="primary" size="24px"></q-icon>
                    </div>
                </div>
            </q-card-section>
        </q-card>
    </q-dialog>
</template>

<script setup>
import { useDialogPluginComponent } from 'quasar'

const { dialogRef, onDialogOK } = useDialogPluginComponent()

function AcceptTerms () {
    onDialogOK(true);
}
</script>
